## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           asahi-scripts
Version:        20220712
Release:        %autorelease
Summary:        Miscellaneous admin scripts for Asahi Linux

License:        MIT
URL:            https://github.com/AsahiLinux/asahi-scripts
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# PR#4: systemd: add missing install sections
Patch:          %{url}/pull/4.patch

BuildRequires:  systemd-rpm-macros

BuildArch:      noarch

%description
This package contains miscellaneous admin scripts for the Asahi Linux reference
distro.

%package -n     update-vendor-firmware
Summary:        Install and update firmware from the VendorFW package
Requires:       bash
Requires:       coreutils
Requires:       diffutils
Requires:       linux-firmware
Requires:       tar

%description -n update-vendor-firmware
Apple Silicon systems rely on some non-redistributable firware blobs. This
package extracts and installs them from the VendorFW package provided in the
ESP.

%prep
%autosetup -p1

%build
# nothing to do here

%install
install -Dpm0755 -t %{buildroot}%{_sbindir} update-vendor-firmware
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/update-vendor-firmware.service

%post -n update-vendor-firmware
%systemd_post update-vendor-firmware.service

%preun -n update-vendor-firmware
%systemd_preun update-vendor-firmware.service

%postun -n update-vendor-firmware
%systemd_postun_with_restart update-vendor-firmware.service

%files -n update-vendor-firmware
%license LICENSE
%{_sbindir}/update-vendor-firmware
%{_unitdir}/update-vendor-firmware.service

%changelog
* Sun Aug 14 2022 Davide Cavalca <dcavalca@fedoraproject.org> 20220712-1
- Update to 20220712; Fixes: RHBZ#2118188

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220318.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Mar 25 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 20220318.1-1
- Initial import; Fixes: RHBZ#2068554

